PYTEST_ARGS = --cov=squiid_parser --cov-branch --cov-report=term-missing --cov-report=xml

clean:
	rm -rf squiid-parser-rust/target
	rm -f squiid_parser/*.so
	rm -f squiid_parser/*.dylib
	rm -f squiid_parser/*.dll
	rm -rf wheelhouse
	rm -f coverage.xml

build:
	poetry build

build-all:
	pipx run cibuildwheel

test-without-fail:
	poetry run pytest . $(PYTEST_ARGS)

test: PYTEST_ARGS += --cov-fail-under=100
test: test-without-fail
